Menlo::Index::MetaDB(3pm)

NAME
Menlo::Index::MetaDB - Search index via CPAN MetaDB

SYNOPSIS
  use CPAN::Common::Index::MetaDB;

  $index = CPAN::Common::Index::MetaDB->new;

  $index->search_packages({ package => "Moose" });
  $index->search_packages({ package => "Moose", version_range => ">= 2.0" });

DESCRIPTION
This module implements a CPAN::Common::Index that searches for packages against the same CPAN MetaDB API used by cpanminus.

There is no support for advanced package queries or searching authors. It just takes a package name and returns the corresponding version and distribution.